Skip to main content

List of Wallet Transactions

You can access your wallet transaction history via the Aptoide Connect Developer Console or programmatically through this API endpoint.

Endpoint

MethodURL
GEThttps://ws.catappult.io/api/wallet/transactions

Authentication

To access this API, you need to authenticate with an API key (check here how to generate one).

⚠️
Account subscription required

Accounts of type Developer do require an active account subscription on Aptoide Connect. Accounts of type Distributor can access this endpoint without an active subscription.

Headers

HeaderTypeRequiredDescription
Api-KeystringRequiredUsed to authenticate your API requests. The value is your Aptoide Connect API key.

Query Parameters

ParameterTypeRequiredDescription
fromstring (YYYY-MM-DD)RequiredStart date of the time range for retrieving transactions. Example: 2024-01-01.
tostring (YYYY-MM-DD)RequiredEnd date of the time range for retrieving transactions. Example: 2024-01-31.
limitnumberOptional (default: 50)Maximum number of records to return in the response.
cursorstringOptionalCursor for pagination, indicating where to continue fetching data from a previous response.
packageNamestringOptionalFilters results by app package name. Example: com.example.test.
countryCodestringOptionalFilters results by country, using the ISO 3166-1 alpha-2 format. Example: PT.
typestringOptionalFilters results by transaction type. Possible values: all, debit, credit.

Response

Success

If the API call returns an HTTP 200 status code, the request was successful and it returns an array of transactions objects.

Response Fields

FieldDescription
dateDate when the transaction took place.
currencyCurrency used in the transaction.
fullAmount / grossAmountAmount paid by the end-user.
netAmountAmount after all deductions (e.g., taxes) are subtracted from grossAmount.
amountAmount received by you.
statusStatus of the transaction (e.g., Completed, Failed).
typeTransaction type (e.g. IAP, RevertedIAP, RefundedIAP, Subscription, RevertedSubscription, RefundedSubscription, Withdraw, Fee, Sandbox)
extraData.countryCountry where the transaction occurred.
extraData.applicationApplication in which the transaction took place.
extraData.skuSKU of the purchased item.
extraData.revenueSharesRevenue share applied on the netAmount.
extraData.taxesTaxes policy and amount applied to the grossAmount.

Example Response

{
"count": 1557,
"data": [
{
"amount": {
"usd": 3.7425
},
"comment": "",
"currency": "USD",
"date": "2025-01-13 15:52:49",
"destinationWalletAddress": "***",
"extraData": {
"country": {
"code": "IN"
},
"package": {
"iconUrl": "***",
"name": "***",
"title": "***"
},
"revenueShares": {
"percentages": {
"catappult": 0.1,
"developer": 0.75,
"partner": 0.15
},
"usd": {
"catappult": 0.499,
"developer": 3.7425,
"partner": 0.7485
}
},
"sku": "com.sword",
"storeAccountUid": "***",
"taxes": {
"vat": {
"policy": "None"
}
}
},
"fee": {
"usd": 0
},
"fullAmount": {
"usd": 4.99
},
"grossAmount": {
"usd": 4.99
},
"id": "***",
"linkedTransactions": [],
"netAmount": {
"usd": "4.99"
},
"originalDate": "2025-01-13T15:52:49.084235",
"paymentChannel": "Aptoide Wallet - Android",
"paymentChannelVersion": "3.33.2",
"paymentMethod": "Credit Card",
"reference": "***d",
"sourceWalletAddress": "***",
"status": "Completed",
"type": "IAP",
"uid": "***"
}
],
"nextCursor": "MjAyNC0xMC0xMCAxNjowNDo0NC4xMzUxMjY="
}